Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap

    public abstract class AbstractConcurrentMap
    extends AbstractConcurrentMapBase

Nested Class Summary
`interface` | `AbstractConcurrentMap.Entry`
`static class` | `AbstractConcurrentMap.Segment`

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`AbstractConcurrentMap(Object segmentInfo)`

Method Summary
`V` | `get(K key)`
`AbstractConcurrentMap.Entry` | `getOrPut(K key, V value)`
`void` | `put(K key, V value)`
`void` | `remove(K key)`
`AbstractConcurrentMap.Segment` | `segmentFor(int hash)`

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractConcurrentMap

    public AbstractConcurrentMap(Object segmentInfo)

Method Detail

### get

    public V get(K key)

### getOrPut

    public AbstractConcurrentMap.Entry getOrPut(K key, V value)

### put

    public void put(K key, V value)

### remove

    public void remove(K key)

### segmentFor

    public AbstractConcurrentMap.Segment segmentFor(int hash)

Copyright © 2003-2010 The Codehaus. All rights reserved.